hpp-constraints: hpp::constraints::Point Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::constraints::Point Class Reference
Symbolic calculus

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::Point:
[legend]
Collaboration diagram for hpp::constraints::Point:
[legend]

## Public Member Functions
| Point ()
| Point (const CalculusBase< Point, vector3_t, JacobianMatrix > &other)
| Point (const Point &point)
| Point (const vector3_t &point, size_t jacobianNbCols)
void | impl_value (const ConfigurationIn_t)
void | impl_jacobian (const ConfigurationIn_t)
Public Member Functions inherited from hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >
| CalculusBase ()
| CalculusBase (const vector3_t &value, const JacobianMatrix &jacobian)
| CalculusBase (const CalculusBase &o)
const vector3_t & | value () const
const JacobianMatrix & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
void | invalidate ()
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Additional Inherited Members
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t
Protected Member Functions inherited from hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >
void | init (const typename Traits< Point >::Ptr_t &ptr)
Protected Attributes inherited from hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >
vector3_t | value_
JacobianMatrix | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Detailed Description

Basic expression representing a static point

Its value is constant and its jacobian is a zero matrix.

## Constructor & Destructor Documentation

## ◆ Point() [1/4]

hpp::constraints::Point::Point | ( |  | ) |
| inline

## ◆ Point() [2/4]

hpp::constraints::Point::Point | ( | const CalculusBase< Point, vector3_t, JacobianMatrix > & | other | ) |
| inline

## ◆ Point() [3/4]

hpp::constraints::Point::Point | ( | const Point & | point | ) |
| inline

## ◆ Point() [4/4]

hpp::constraints::Point::Point | ( | const vector3_t & | point,
|  | size_t | jacobianNbCols )
| inline

Constructor

Parameters

  point | the static point
  jacobianNbCols | number of column of the jacobian

## Member Function Documentation

## ◆ impl_jacobian()

void hpp::constraints::Point::impl_jacobian | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ impl_value()

void hpp::constraints::Point::impl_value | ( | const ConfigurationIn_t |  | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh